
Foreman - Bug #25517

Debian packages don't build localized js files

11/20/2018 04:51 PM - Nicolas Boulanger

Status: Closed   

Priority: High   

Assignee:    

Category: Packaging   

Target version: 1.20.1   

Difficulty:  Fixed in Releases: 1.20.1

Triaged: Yes Found in Releases: 1.20.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-p

ackaging/pull/3266

  

Description

Hello,

since my upgrade > 1.19 to 1.20 i lost my dashboard

no picture is showing, only text, and lost of feature is missing

Distributor ID:    Debian

Description:    Debian GNU/Linux 9.6 (stretch)

Release:    9.6

Codename:    stretch

Upgrade step:

modify sources.list with 1.20 version then apt upgrade, and reboot server

https://imgur.com/a/m7TFver

thanks !

Related issues:

Related to Foreman - Bug #25523: make i18n js code more resilient to errors Closed

Associated revisions

Revision 60198495 - 12/04/2018 11:51 AM - Michael Moll 

Fixes #25517 - run locale:pack separately

History

#1 - 11/20/2018 05:15 PM - Tomer Brisker

- Category set to Web Interface

This appears to occur when using a non-english locale.

#2 - 11/20/2018 06:25 PM - Tomer Brisker

This only affects debian packeges, rpms work fine.

#3 - 11/20/2018 06:29 PM - Tomer Brisker

- Found in Releases 1.20.0 added

A possible workaround until this issue is resolved is to change the locale to English, either by changing the user setting or appending ?locale=en to

the end of the url

#4 - 11/21/2018 07:22 AM - Nicolas Boulanger

Tomer Brisker wrote:
https://imgur.com/a/m7TFver


A possible workaround until this issue is resolved is to change the locale to English, either by changing the user setting or appending ?locale=en

to the end of the url

 works with ?locale=en

will be fixed with fr language ? :)

Thanks !

#5 - 11/21/2018 07:24 AM - Ohad Levy

interesting, this looks very similar to #25467 (might be a dup)

#6 - 11/21/2018 07:57 AM - Tomer Brisker

- Category changed from Web Interface to Packaging

Further investigation seems to indicate the the assets/javascript/locale folder is missing in debian install causing the i18n code to fail when it doesn't

find the matching file.

I opened #25523 to make the JS code more resilient, and keeping this one to fix the debain packaging issue so the js translations are shipped.

#7 - 11/21/2018 08:07 AM - Tomer Brisker

- Related to Bug #25523: make i18n js code more resilient to errors added

#8 - 11/26/2018 12:56 PM - Tomer Brisker

- Target version set to 1.20.1

#9 - 11/26/2018 12:56 PM - Tomer Brisker

- Triaged changed from No to Yes

#10 - 12/03/2018 11:24 AM - Tomer Brisker

- Subject changed from No picture, missing dashboard to Debain packages don't build localized js files

updating title to reflect issue

#11 - 12/03/2018 10:05 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Anonymous

- Pull request https://github.com/theforeman/foreman-packaging/pull/3266 added

#12 - 12/03/2018 10:18 PM - Anonymous

- Subject changed from Debain packages don't build localized js files to Deaain packages don't build localized js files

#13 - 12/03/2018 10:19 PM - Anonymous

- Subject changed from Deaain packages don't build localized js files to Debian packages don't build localized js files

#14 - 12/04/2018 11:52 AM - Anonymous

- Fixed in Releases 1.20.1 added

#15 - 12/04/2018 12:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset rpms:foreman-packaging|60198495dec53ed14362b17b8e838912f8bbd7ef.
